> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Members

> Get data about members of this card (permissions, statuses, etc)



## OpenAPI

````yaml get /v1/members/{card_id}
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/members/{card_id}:
    get:
      tags:
        - members
      summary: ' Get Members'
      description: Get data about members of this card (permissions, statuses, etc)
      operationId: _get_members_v1_members__card_id__get
      parameters:
        - name: card_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Card Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  '[card_id]':
                    $ref: '#/components/schemas/Member'
                title: Response  Get Members V1 Members  Card Id  Get
        4XX:
          description: Unified Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Member:
      properties:
        status:
          $ref: '#/components/schemas/Status'
        perms:
          $ref: '#/components/schemas/Role'
        via_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Via Id
      type: object
      required:
        - status
        - perms
        - via_id
      title: Member
    UnifiedError:
      discriminator:
        mapping:
          auth: '#/components/schemas/AuthError'
          basic: '#/components/schemas/BasicError'
          card: '#/components/schemas/CardError'
          numeric: '#/components/schemas/NumericError'
          permission: '#/components/schemas/PermError'
          recaptcha: '#/components/schemas/RecaptchaError'
          turnstile: '#/components/schemas/TurnstileError'
          validation: '#/components/schemas/ValidationError'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/AuthError'
        - $ref: '#/components/schemas/BasicError'
        - $ref: '#/components/schemas/CardError'
        - $ref: '#/components/schemas/PermError'
        - $ref: '#/components/schemas/RecaptchaError'
        - $ref: '#/components/schemas/TurnstileError'
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/NumericError'
    Status:
      enum:
        - -2
        - -1
        - 0
        - 1
        - 2
      title: Status
      type: integer
    Role:
      enum:
        - -1
        - 0
        - 1318
        - 1382
        - 1398
        - 4094
        - 8190
      title: Role
      type: integer
    AuthError:
      properties:
        type:
          const: auth
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          enum:
            - APIKey
            - Bearer
            - Fresh
            - Refresh
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: AuthError
      type: object
    BasicError:
      properties:
        type:
          const: basic
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: 'null'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: BasicError
      type: object
    CardError:
      properties:
        type:
          const: card
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          format: uuid
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: CardError
      type: object
    PermError:
      properties:
        type:
          const: permission
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          $ref: '#/components/schemas/PermErrorMeta'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: PermError
      type: object
    RecaptchaError:
      properties:
        type:
          const: recaptcha
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: boolean
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: RecaptchaError
      type: object
    TurnstileError:
      properties:
        type:
          const: turnstile
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          items:
            type: string
          title: Meta
          type: array
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: TurnstileError
      type: object
    ValidationError:
      properties:
        type:
          const: validation
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          additionalProperties:
            type: string
          title: Meta
          type: object
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: ValidationError
      type: object
    NumericError:
      properties:
        type:
          const: numeric
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          anyOf:
            - type: number
            - type: integer
          title: Meta
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: NumericError
      type: object
    PermErrorMeta:
      properties:
        perm_name:
          title: Perm Name
          type: string
        perm_value:
          title: Perm Value
          type: integer
      required:
        - perm_name
        - perm_value
      title: PermErrorMeta
      type: object
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````